/*
 * buttons.h
 *
 *  Created on: 4 . 2016 .
 *      Author: mvinogradov
 */
#include <avr/io.h>
#include <avr_helper.h>

#ifndef BUTTONS_H_
#define BUTTONS_H_

// Key ports map
#define KEY_FORWARD_PORT	D
#define KEY_FORWARD		_BV(4)

#define KEY_PORT		C
#define KEY_BACKRWARD	_BV(0)
#define KEY_LEFT		_BV(1)
#define KEY_RIGHT		_BV(2)
#define KEY_BOOZ		_BV(3)
#define KEY_BLINK		_BV(4)
#define KEY_LAMP		_BV(5)

//    
typedef union{
	struct{
		uint8_t k_back	:1;
		uint8_t k_left	:1;
		uint8_t k_right	:1;
		uint8_t k_booz	:1;
		uint8_t k_blink	:1;
		uint8_t k_lamp	:1;
		uint8_t k_fwd	:1;
	};
	uint8_t byte;
} buttons_t;

#define KEY_ANY		(KEY_RIGHT | KEY_LEFT | KEY_BACKRWARD | KEY_LAMP | KEY_BLINK | KEY_BOOZ)



//   
///     (   )
#define INT_PORT		D
///     
#define INT_PIN		2

//   
///     (   )
#define LAMP_PORT		C
///     
#define LAMP_PIN		5

//    
#define lamp() (PIN(LAMP_PORT) & _BV(LAM_PIN))

//    
///     (   )
#define BLINK_PORT		C
///     
#define BLINK_PIN		4

//    
#define blink() (PIN(BLINK_PORT) & _BV(BLINK_PIN))

//   
///     (   )
#define BOOZER_PORT		C
///     
#define BOOZER_PIN		3

//    
#define boozer() (PIN(BOOZER_PORT) & _BV(BOOZER_PIN))
extern void key_init(void);
uint8_t get_key(void);

#endif /* KEY_H_ */
