/*
 * led.h
 *
 *  Created on: 4 . 2016 .
 *      Author: mvinogradov
 */
#include <avr/io.h>
#include <avr_helper.h>

#ifndef LED_H_
#define LED_H_

// ERROR or Collision LED
///     (   )
#define LED1_PORT		D
///  f   
#define LED1_PIN		5

//  
#define led1_on() PORT(LED1_PORT) |= _BV(LED1_PIN)
//  
#define led1_off() PORT(LED1_PORT) &= ~_BV(LED1_PIN)

// Work  LED
///     (   )
#define LED2_PORT		D
///  f   
#define LED2_PIN		6

//  
#define led2_on() PORT(LED2_PORT) |= _BV(LED2_PIN)
//  
#define led2_off() PORT(LED2_PORT) &= ~_BV(LED2_PIN)

// 
///   (   )
#define BUZZER_PORT		D
///    
#define BUZZER_PIN		3

// 
#define buzzer_on() PORT(BUZZER_PORT) |= _BV(BUZZER_PIN)
//  
#define buzzer_off() PORT(BUZZER_PORT) &= ~_BV(BUZZER_PIN)
//  
#define buzzer_invert() PORT(BUZZER_PORT) ^= _BV(BUZZER_PIN)

extern void led_init(void);

#endif /* LED_H_ */
