/*
 * timer.h
 *
 *  Created on: 24 . 2015 .
 *      Author: Leo
 */

#ifndef TIMER_H_
#define TIMER_H_

#define TIMER1_PRESCALE (65535-7813) 			//   1  ,   1

typedef enum{
	DELAY_REPEAT = 1,
	DELAY_AUTOSEND = 2,
	DELAY_POWERDONW = 3
} delay_t;

//   2     powerdown
extern volatile uint16_t power_down_wait;

void timer1_init(void);
void reset_timer(delay_t t);
uint8_t time_is_over(delay_t t);
void timer2_init(void);
void timer2_stop(void);

#endif /* TIMER_H_ */
